﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.PowerShell.Host.ISE;

namespace Empanada
{
    public partial class EmpanadaPane : UserControl, IAddOnToolHostObject, INotifyPropertyChanged
    {
        private ObjectModelRoot _hostObject;

        public EmpanadaPane()
        {
            InitializeComponent();
            new EmpanadaPanePresenter(this);
        }

        public ObjectModelRoot HostObject
        {
            get { return _hostObject; }
            set { 
                _hostObject = value;
                var handler = PropertyChanged;
                if (handler != null) handler(this, new PropertyChangedEventArgs("HostObject"));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
